INSTALLPKG(8)

NAZWA
installpkg - instaluj pakiety systemu Slackware.

STRESZCZENIE
installpkg [ --warn ] [ --md5sum ] [ --root /otherroot ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /somedir/tagfile ] packagename [ packagename2 ... ]

OPIS
installpkg instaluje jedną lub więcej paczek binarnych *.tgz (lub .tbz, .tlz, .txz) przeznaczonych do użytku z dystrybucją Slackware Linux.

OPCJE

--warn nazwapakietu
    Wyświetl (na standardowym wyjściu) listę plików, które zostaną nadpisane, ale nie instaluj pakietu. Lista ta będzie odpowiednio sformatowana do użycia przy tworzeniu kopii zapasowej.

--md5sum nazwapakietu
    Zapisz sumę md5sum pakietu w metadanych zapisanych w /var/log/packages.

--root /otherroot
    Instaluj używając jako root systemu docelowego lokację inną niż / (domyślnie). W podanym przykładzie, zamiast tego użyj /otherroot. Ustawianie zmiennej środowiskowej ROOT działa tak samo.

--infobox
    Użyj /bin/dialog by wyświetlić ramkę informacyjną podczas instalacji pakietu. Głównie używane gdy inkstallpkg jest wywoływany z innych skryptów.

--menu
    Użyj /bin/dialog by wyświetlić menu pytające użytkownika, czy zainstalować pakiet(y). Generalnie używane gdy installpkg jest wywoływany z innego skryptu.

--terse
    Instaluj pakiety wyświetlając wyłącznie jednolinijkowy opis w stdout.

--ask
    Używany w trybie -menu. Jeśli zaznaczone, zawsze pytaj czy zainstalować pakiet niezależnie od priorytetu tego pakietu.

--priority ADD|REC|OPT|SKP
    Instalując z opcją -menu, użyte zostaną poziomy priorytetu pakietu (znajdujące się w pliku "tagfile" w katalogu pakietu) w celu automatycznej instalacji (ADD) lub pominięcia (SKP) pakietu, lub aby zasygnalizować użytkownikowi pakiety zalecane (REC) lub opcjonalne (OPT) jeśli wyświetlone jest menu. Jeśli priorytet jest ustawiony z linii komend, wartości określone w pliku tagfile zostaną nadpisane dla całej listy pakietów.

--tagfile /somedir/tagfile
    Podaj inny plik na priorytety pakietu (w tym przykładzie, /somedir/tagfile zostanie użyty). Domyślnie jest to "tagfile" w katalogu pakietu.

PRZYKŁADY

Instaluj pakiet czcionki dla X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Zwróć uwagę, że Jeśli pakiet jest już zainstalowany, powinno się użyć upgradepkg(8).

Utwórz kopię zapasową plików, które zostałyby nadpisane jeśli pakiet jest zainstalowany:

tar czvf /tmp/backup.tar.gz \
$(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

ZOBACZ RÓWNIEŻ
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)